Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class BalanceBaseType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `ChargeType`, `PaymentType`

public class BalanceBaseType extends IdTitle
Родительский класс для PaymentType и ChargeType(как минимум), в котором фактически и реализуется все.
Изначально cоздан лишь для того, чтобы ChargeType не наследовался от PaymentType.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `editable`
  `protected Integer`
  `parentId`
  `protected int`
  `type`
  `static final int`
  `TYPE_ALL`
  `static final int`
  `TYPE_BRANCH`
  `static final int`
  `TYPE_EDITABLE`
  `static final int`
  `TYPE_LEAF`
  `static final int`
  `TYPE_UNEDITABLE`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BalanceBaseType()`
  `BalanceBaseType(int id, String title, int type, boolean editable, Integer parentId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getEditable()`
  true - редактируется, false - не редактируется.
  `Integer`
  `getParentId()`
  `int`
  `getType()`
  Получение типа элемента в дереве.
  `void`
  `setEditable(boolean editable)`
  `void`
  `setParentId(Integer parentId)`
  Ссылка на родительский узел в иерархии типов.
  `void`
  `setType(int type)`
  Установка типа элемента в дереве.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### TYPE_LEAF

    public static final int TYPE_LEAF
    See Also:
      - Constant Field Values

  - ### TYPE_BRANCH

    public static final int TYPE_BRANCH
    See Also:
      - Constant Field Values

  - ### TYPE_ALL

    public static final int TYPE_ALL
    See Also:
      - Constant Field Values

  - ### TYPE_EDITABLE

    public static final int TYPE_EDITABLE
    See Also:
      - Constant Field Values

  - ### TYPE_UNEDITABLE

    public static final int TYPE_UNEDITABLE
    See Also:
      - Constant Field Values

  - ### type

    protected int type

  - ### editable

    protected boolean editable

  - ### parentId

    protected Integer parentId

- ## Constructor Details

  - ### BalanceBaseType

    public BalanceBaseType()

  - ### BalanceBaseType

    public BalanceBaseType(int id, String title, int type, boolean editable, Integer parentId)

- ## Method Details

  - ### getType

    public int getType()
    Получение типа элемента в дереве.
    Returns:
      0 - элемент группы( `TYPE_LEAF` ), 1 - группа( `TYPE_BRANCH` ).

  - ### getEditable

    public boolean getEditable()
    true - редактируется, false - не редактируется.

  - ### getParentId

    public Integer getParentId()

  - ### setType

    public void setType(int type)
    Установка типа элемента в дереве.
    Parameters:
      `type` - 0 - элемент группы( `TYPE_LEAF` ), 1 - группа( `TYPE_BRANCH` ).

  - ### setEditable

    public void setEditable(boolean editable)

  - ### setParentId

    public void setParentId(Integer parentId)
    Ссылка на родительский узел в иерархии типов. Если тип объекта находится на самом верхнем уровне, то передавать 0! При отрицательном значении будет падать в веб-сервисе!!!
    Parameters:
      `parentId` - код родительского типа